# SimplifiedArrayAccess Interface Reference
[Things based on Standard PHP Library]

Inheritance diagram for SimplifiedArrayAccess:
[legend]

List of all members.

## Public Member Functions

| clean ()
| isEmpty ()
| getList ()
| set ($name, $var)
| get ($name)
| has ($name)
| drop ($name)

## Detailed Description

Definition at line 15 of file SimplifiedArrayAccess.class.php.

## Member Function Documentation

SimplifiedArrayAccess::clean | ( |  | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::drop | ( | $ | name | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::get | ( | $ | name | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::getList | ( |  | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::has | ( | $ | name | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::isEmpty | ( |  | ) |

Implemented in Model, and AbstractList.

SimplifiedArrayAccess::set | ( | $ | name,
|  | $ | var |
| ) |  |  |

Implemented in Model, and AbstractList.

The documentation for this interface was generated from the following file:

- main/SPL/SimplifiedArrayAccess.class.php